## pymavlink 2.4.37

=== requirements.txt ===
lxml>=3.6.0
future>=0.15.2
wheel>=0.37.1

=== APM_Mavtest/Makefile ===
#
# Trivial makefile for building APM
#

#
# Select 'mega' for the original APM, or 'mega2560' for the V2 APM.
#
BOARD	=	mega2560

include ../libraries/AP_Common/Arduino.mk

=== generator/java/examples/Makefile ===
all: build

build:
	mkdir -p com/MAVLink
	mavgen.py --lang Java --wire-protocol=1.0 ../../../../message_definitions/v1.0/ardupilotmega.xml -o com/MAVLink
	mkdir -p build
	javac -d build test.java com/MAVLink/*.java com/MAVLink/common/*.java com/MAVLink/ardupilotmega/*.java

clean:
	rm -rf build com/MAVLink

=== generator/C/test/posix/Makefile ===
# We really don't want -Wno-address-of-packed-member here, as it's hiding potential 
# errors in the generator, but without it, we can't run the tests to completion. 
# particular issues are with pointers to arrays right now. TODO - fix the generator and remove this.
CFLAGS = -g -Wall -Werror -O0 -Wno-address-of-packed-member
TESTPROTOCOL = ardupilotmega
ALLPROTOCOLS = minimal test common pixhawk ardupilotmega slugs ualberta

all: 
	for p in ${ALLPROTOCOLS}; do make -f Makefile build TESTPROTOCOL=$$p; done

test:
	for p in ${ALLPROTOCOLS}; do make -f Makefile testprogs TESTPROTOCOL=$$p || exit 1; done

valgrindtest:
	for p in ${ALLPROTOCOLS}; do make -f Makefile valgrindprogs TESTPROTOCOL=$$p || exit 1; done

build: testmav2.0_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}

testprogs: testmav2.0_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}
	./testmav2.0_${TESTPROTOCOL}
	./testmav1.0_${TESTPROTOCOL}

valgrindprogs: testmav2.0_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}
	valgrind -q ./testmav2.0_${TESTPROTOCOL}
	valgrind -q ./testmav1.0_${TESTPROTOCOL}

clean:
	rm -rf *.o *~ testmav1.0* testmav2.0* sha256_test

testmav1.0_${TESTPROTOCOL}: testmav.c $(COMMON)
	$(CC) $(CFLAGS) -I../../include_v1.0 -I../../include_v1.0/${TESTPROTOCOL} -o $@ testmav.c

testmav2.0_${TESTPROTOCOL}: testmav.c
	$(CC) $(CFLAGS) -I../../include_v2.0 -I../../include_v2.0/${TESTPROTOCOL} -o $@ testmav.c

testmav1.0_ardupilotmega: testmav.c
	$(CC) $(CFLAGS) -I../../include_v1.0 -I../../include_v1.0/ardupilotmega -o $@ testmav.c

testmav2.0_ardupilotmega: testmav.c
	$(CC) $(CFLAGS) -I../../include_v2.0 -I../../include_v2.0/ardupilotmega -o $@ testmav.c

testmav1.0_common: testmav.c
	$(CC) $(CFLAGS) -I../../include_v1.0 -I../../include_v1.0/common -o $@ testmav.c

testmav2.0_common: testmav.c
	$(CC) $(CFLAGS) -I../../include_v2.0 -I../../include_v2.0/common -o $@ testmav.c

testmav2.0_minimal: testmav.c
	$(CC) $(CFLAGS) -I../../include_v2.0 -I../../include_v2.0/minimal -o $@ testmav.c

sha256_test: sha256_test.c
	$(CC) $(CFLAGS) -I../../include_v2.0 -o $@ sha256_test.c

=== generator/CPP11/test/posix/Makefile ===

CXX ?= g++
CXXFLAGS ?= -std=c++11 -g -O0 -Wall -pthread
GENDIR ?= ../../include_v2.0
GTESTSRC ?= /usr/src/gtest/src/gtest-all.cc
MSGDEFDIR ?= ../../../../../message_definitions/v1.0

DIALECTS := $(notdir $(shell find $(GENDIR) -mindepth 1 -maxdepth 1 -type d))
TARGETS := $(foreach d,$(DIALECTS),mavtest_$(d))

all: run_tests

gtest-all.o: $(GTESTSRC)
	$(CXX) $(CXXFLAGS) -I"$(dir $(GTESTSRC))../" -c -o $@ $<

mavtest_%: mtest.cpp gtest-all.o $(foreach d,$(DIALECTS),$(GENDIR)/$(d)/$(d).hpp)
	$(CXX) $(CXXFLAGS) -I $(GENDIR)/$* -o $@ $< gtest-all.o

run_tests: $(TARGETS)
	for f in $(TARGETS); do \
		./$$f; \
	done

gen: $(wildcard $(MSGDEFDIR)/*.xml)
	mkdir -p $(GENDIR)
	for d in $^; do	\
		../../../../tools/mavgen.py -o $(GENDIR) --wire-protocol 2.0 --lang C $$d;	\
		../../../../tools/mavgen.py -o $(GENDIR) --wire-protocol 2.0 --lang C++11 $$d;	\
	done

clean:
	rm -f gtest-all.o $(TARGETS)

=== debian/changelog ===
pymavlink (2.4.37-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Remove python3-future dependency

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jan 2024 17:27:00 +0100

pymavlink (2.4.37-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream mdatadata fields: Bug-Database, Bug-Submit.
  * Update standards to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  [ Steev Klimaszewski ]
  * Update mavlink message_definitions
  * New upstream version 2.4.37
  * Add lintian-overrides for the js in the generator
  * Update dependencies and add myself to Uploaders
  * Remove some files that aren't needed after dh_python3 finishes running
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 11 Nov 2022 14:59:40 -0600

pymavlink (2.4.26-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Feb 2022 17:54:05 +0100

=== debian/control ===
Source: pymavlink
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libxml2-dev,
               libxslt-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-lxml,
               python3-numpy,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/ArduPilot/pymavlink
Vcs-Browser: https://gitlab.com/kalilinux/packages/pymavlink
Vcs-Git: https://gitlab.com/kalilinux/packages/pymavlink.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pymavlink
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python implementation of the MAVLink protocol (Python 3)
 This package contains Python implementation of the MAVLink protocol. It
 includes a source code generator (generator/mavgen.py) to create MAVLink
 protocol implementations for other programming languages as well. Also
 contains tools for analyzing flight logs.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymavlink
export MDEF=$(CURDIR)/debian/mavlink/message_definitions
export PYBUILD_AFTER_TEST=rm -f {build_dir}/tmp.dump {build_dir}/prms.txt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -rf debian/python3-pymavlink/usr/lib/python3.*
# Created during tests run, not needed
	rm -rf debian/python3-pymavlink/usr/lib/python3/dist-packages/test_wp*.txt
# Not needed as it's just a duplicate copy of the license
	rm -rf debian/python3-pymavlink/usr/lib/python3/dist-packages/pymavlink-2.4.37.dist-info/COPYING

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pymavlink-$1.tar.gz%" \
   https://github.com/ArduPilot/pymavlink/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
